/*
  Name: AffichageImage.cpp
  Copyright: 
  Author: Marc Chaumont
  Date: 18/02/05 16:50
  Description: Permet d'afficher via openCV 
*/
#include <iostream>
#include <stdlib.h>
using namespace std;

#include "AffichageImage.hpp"
#include "highgui.h" // include GUI library interface

void AffichageImage::afficheImageIplAndWaitForKeyPress(IplImage* imageIpl, char* windowsName) {
  //Create HighGUI window with name 'windowsName'
  cvvNamedWindow( windowsName, 1 ); 
  // show image in the window 'windowsName'
  cvvShowImage( windowsName, imageIpl ); 
  cvWaitKey(0);
}
